Page MenuHomePhabricator

Order links of the other projects sidebar deterministically
Closed, ResolvedPublic

Description

The order of links to sister projects added by the "other projects side bar" beta feature is not consistent accross articles.

Example: if you enable the beta feature, the link to Wikidata appears

For consistency, these links should always be in the same order (for instance in alphabetical order of the project code).

(I'm forwarding a request made on my Wikipedia talk page: https://fr.wikipedia.org/w/index.php?title=Discussion_utilisateur:Orlodrim&diff=prev&oldid=110737463)

Event Timeline

Orlodrim created this task.Jan 9 2015, 6:16 PM
Orlodrim raised the priority of this task from to Needs Triage.
Orlodrim updated the task description. (Show Details)
Orlodrim added a subscriber: Orlodrim.
Lydia_Pintscher triaged this task as Normal priority.Jan 10 2015, 6:40 PM
Lydia_Pintscher added a project: Wikidata.
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added subscribers: Tpt, hoo, aude, thiemowmde.
Tpt added a comment.Jan 10 2015, 6:51 PM

"for instance in alphabetical order of the project code" -> it would be inconsistent between language versions of the same project.

Example: link to Wikisource (enwikisource) will be before link to Wikidata (wikidatawiki) on English Wikipedia but after on Chinese Wikipedia.

We should maybe sort with group names (that are the same between all language versions).

gerritbot added a subscriber: gerritbot.

Change 190693 had a related patch set uploaded (by Hoo man):
Sort links in the other projects sidebar by group id

https://gerrit.wikimedia.org/r/190693

Patch-For-Review

Change 190693 merged by jenkins-bot:
Sort links in the other projects sidebar by group id/site id

https://gerrit.wikimedia.org/r/190693

Lydia_Pintscher closed this task as Resolved.Mar 13 2015, 11:30 AM
Lydia_Pintscher claimed this task.